#ifndef SCROLLUTIL
#define SCROLLUTIL
#include "xutil.h"
#include "mailnode.h"
#include "mailutil.h"
#include <sys/types.h>
#include <sys/timeb.h>
#include <time.h>
#include <unistd.h>

class	scrollutil{
	public:
				scrollutil(xutil *xu, mailutil *mailu,
						Window *main, int scrl);
				~scrollutil();
			void	UpdateFaces();
			void	DrawFace();
	private:
			xutil		*xutility;
			mailnode	*current;
			mailutil	*mailutility;
			Pixmap		canvas;
			Window		*mainwindow;
			int		drawing, scrolling;
			timeb		lasttime, thistime;

		static	void	DrawFaceCB(XtPointer XtP, XtIntervalId *XtI);
};

#endif
